####### tdevelop will overwrite this part!!! (begin)##########
bin_PROGRAMS = kshowmail

## INCLUDES were found outside tdevelop specific part

kshowmail_SOURCES = AlertDlg.ui alertdialog.cpp configelem.cpp configlist.cpp \
	decodeRFC2047.cpp encryption.cpp filteritem.cpp filteritemcriteria.cpp filterlog.cpp \
	filterlogentry.cpp headerfilter.cpp kfeedback.cpp kshowmail.cpp kshowmaildoc.cpp \
	kshowmaildock.cpp kshowmailfeedback.cpp kshowmailview.cpp tdewalletaccess.cpp main.cpp \
	senderlistfilter.cpp serverdialog.cpp showheaderdialog.cpp showlistviewitem.cpp \
	showmaildialog.cpp showrecord.cpp showrecordelem.cpp uniqueapp.cpp filterlogview.cpp \
	filterlogviewdeleteditem.cpp filterlogviewmoveditem.cpp
kshowmail_LDADD = $(LIB_TDEUTILS) -lmimelib $(LIB_KFILE) $(LIB_TDEUI) \
	$(LIB_TDECORE) $(LIB_TDEIO) $(LIB_QT) $(LIBSOCKET) -ltdewalletclient -lDCOP


EXTRA_DIST = main.cpp kshowmail.cpp kshowmail.h kshowmaildoc.cpp kshowmaildoc.h commandentry.cpp commandentry.h kshowmailview.cpp kshowmailview.h OptionDlg.ui OptionDlg.h optiondialog.cpp optiondialog.h ServerDlg.ui serverdialog.cpp serverdialog.h EditDlg.ui editdialog.cpp editdialog.h commanddialog.cpp commanddialog.h CommandDlg.ui commandlist.cpp commandlist.h CommandEntryDlg.ui commandentrydialog.cpp commandentrydialog.h configelem.cpp configelem.h kshowmaildock.cpp kshowmaildock.h configlist.cpp configlist.h AlertDlg.ui alertdialog.cpp alertdialog.h uniqueapp.cpp uniqueapp.h showrecordelem.cpp showrecordelem.h showrecord.cpp showrecord.h kshowmail.desktop decodeRFC2047.h decodeRFC2047.cpp showlistviewitem.cpp showlistviewitem.h kfeedback.cpp kfeedback.h kshowmailfeedback.cpp filter.cpp filter.h filterelem.cpp filterelem.h filterdialog.cpp filterdialog.h FilterDlg.ui FilterEntryDlg.ui filterentrydialog.cpp filterentrydialog.h filterlist.cpp filterlist.h logger.cpp logger.h


####### tdevelop will overwrite this part!!! (end)############
# this 10 paths are KDE specific. Use them:
# kde_htmldir       Where your docs should go to. (contains lang subdirs)
# kde_appsdir       Where your application file (.kdelnk) should go to.
# kde_icondir       Where your icon should go to.
# kde_minidir       Where your mini icon should go to.
# kde_datadir       Where you install application data. (Use a subdir)
# kde_locale        Where translation files should go to.(contains lang subdirs)
# kde_cgidir        Where cgi-bin executables should go to.
# kde_confdir       Where config files should go to.
# kde_mimedir       Where mimetypes should go to.
# kde_toolbardir    Where general toolbar icons should go to.
# kde_wallpaperdir  Where general wallpapers should go to.

# set the include path for X, qt and KDE
INCLUDES = $(all_includes)

METASOURCES = AUTO

# the library search path.
kshowmail_LDFLAGS = $(all_libraries) $(KDE_RPATH)

rcdir = $(kde_datadir)/kshowmail
rc_DATA = kshowmailui.rc

messages: rc.cpp
	LIST=`find . -name \*.h -o -name \*.hh -o -name \*.H -o -name \*.hxx -o -name \*.hpp -o -name \*.cpp -o -name \*.cc -o -name \*.cxx -o -name \*.ecpp -o -name \*.C`; \
	if test -n "$$LIST"; then \
	 $(XGETTEXT) $$LIST -o $(podir)/kshowmail.pot; \
	fi

noinst_HEADERS = constants.h encryption.h filteritem.h filteritemcriteria.h \
	filterlog.h filterlogentry.h headerfilter.h kshowmail.desktop tdewalletaccess.h \
	senderlistfilter.h showheaderdialog.h showmaildialog.h types.h filterlogview.h \
	filterlogviewdeleteditem.h filterlogviewmoveditem.h

shelldesktopdir = $(kde_appsdir)/Internet
shelldesktop_DATA = kshowmail.desktop

KDE_ICON = kshowmail
SUBDIRS = kcmconfigs
